Last modified: 2011-03-15 18:09:35 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27448 - meta:Special:BannerLoader is loaded using http protocol when using secure server (https)
meta:Special:BannerLoader is loaded using http protocol when using secure ser...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal major (vote)
: ---
Assigned To: Ryan Kaldari
http://meta.wikimedia.org/w/index.php...
: shell
Depends on:
Blocks: ssl 27339
  Show dependency treegraph
 
Reported: 2011-02-16 11:08 UTC by merl
Modified: 2011-03-15 18:09 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description merl 2011-02-16 11:08:04 UTC
Special:BannerLoader should also be loaded from https://secure.wikimedia.org if you are using https not not make an unencrypted request to http://meta.wikimedia.org
Comment 1 Ryan Kaldari 2011-03-10 19:47:30 UTC
Fixed in r83662.
Comment 2 db [inactive,noenotif] 2011-03-11 21:31:36 UTC
reverted with r83713

change to shell request:

Please change in CommonSettings.php (see wgNoticeCentralPath there)

$wgCentralPagePath = 'http://meta.wikimedia.org/w/index.php';

to

if( $secure ) {
 $wgCentralPagePath = 'https://secure.wikimedia.org/wikipedia/meta/w/index.php';
} else {
 $wgCentralPagePath = 'http://meta.wikimedia.org/w/index.php';
}

Thanks.
Comment 3 Marcin Cieślak 2011-03-11 21:48:01 UTC
I was thinking maybe we could introduce a function like this:

function wfMatchProto( $path_variable )  
{
	global $wgProto;
	if( is_array( $path_variable ) ) {
		foreach( $path_variable as $value ) {
			if( !strncasecmp( $value, $wgProto, strlen( $wgProto) ) )
				return $value;
		}
	}
	return $path_variable;
}

and then just (backwardly compatible) introduce variables like:

$wgCentralPagePath = array("http://meta.wikimedia.org/w/index.php", "https://secure.wikimedia.org/wikipedia/meta/w/index.php");

Just an idea...
Comment 4 Ryan Kaldari 2011-03-11 22:39:24 UTC
The code for switching vars based on secure server is already in CommonSettings.php, I just need to put the secure value in there. Should be able to fix next week.
Comment 5 Ryan Kaldari 2011-03-15 18:09:35 UTC
This is fixed on live now.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links